%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	An open-source audio processing library
Name:		soundtouch
Version:	1.3.1
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPL
URL:		http://www.surina.net/soundtouch/
Source0:	http://www.surina.net/soundtouch/%{name}-%{version}.tar.bz2
BuildRequires:	dos2unix
Conflicts:	SoundTouch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

%package -n	%{libname}
Summary:	An open-source audio processing library
Group:          System/Libraries
Conflicts:	%{mklibname SoundTouch 0}

%description -n	%{libname}
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

This package contains the shared libraries for SoundTouch.

%package -n	%{develname}
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname SoundTouch 0 -d}

%description -n	%{develname}
Static libraries and header files required for compiling SoundTouch plugins.

%prep

%setup -q -n %{name}-%{version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

# fix permissions
chmod 644 COPYING.TXT README.html

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%build

sh ./bootstrap

%configure2_5x \
    --enable-shared

%make

%install
rm -rf %{buildroot}

%makeinstall

# cleanup
rm -rf %{buildroot}/usr/doc

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.TXT README.html
%{_bindir}/soundstretch

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/soundtouch
%{_includedir}/soundtouch/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/soundtouch*.pc
%{_datadir}/aclocal/*


%changelog
* Fri Aug 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdv2008.0
+ Revision: 58523
- bump release
- drop P0, it will be fixed elsewhere

* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdv2008.0
+ Revision: 57606
- Import soundtouch



* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdv2008.0
- renamed from SoundTouch to soundtouch and obey current specs

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdv2007.0
- 1.3.1 (not rc4)

* Thu Jun 22 2006 Erwan Velu <erwan@seanodes.com> 1.3.1-1
- 1.3.1

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-0.rc4.1mdk
- 1.3.1rc4
- rediffed the asterisk patch (now P0)

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-0.rc3.1mdk
- 1.3.1rc3
- added P1 so that we can integrate voicechanger into asterisk
- enable shared libs

* Fri Jul 15 2005 Stew Benedict <sbenedict@mandriva.com> 1.3.0-1mdk
- 1.3.0, update p0

* Fri Nov 12 2004 Erwan Velu <erwan@seanodes.com> 1.2.1-1mdk
- Frist Release 
